@use "sass:math"
@import "../variables"
@import "media-query"

// Scrollbar
@mixin overFlowStyle($dontHide: 0,$color: rgba(255,255,255,0.1), $background: transparent, $width: 6px, $radius: 2px)
  overflow: auto
  scrollbar-color: $background $color
  scrollbar-width: thin



  &::-webkit-scrollbar
    width: $width
    height: $width
    border-radius: $radius
    visibility: hidden

    @if ($background != "")
      background: $background



  &::-webkit-scrollbar-track
    background: none
    padding: math.div($width, 2)



  &::-webkit-scrollbar-thumb
    background: transparent
    border-radius: $radius


  &::-webkit-scrollbar-thumb:horizontal
    background: $color
    visibility: visible


  &:hover
    &::-webkit-scrollbar-thumb
      background: $color



  @if($dontHide == 1)
    &::-webkit-scrollbar
      visibility: visible


    &::-webkit-scrollbar-thumb
      background: $color



  @media screen and (max-width: 768px)
    &::-webkit-scrollbar
      visibility: visible


    &::-webkit-scrollbar-thumb
      background: $color




